# 8. Mutatie: "RasterMap" genereren

Genereer "RasterMap" voor het "Field".

{% hint style="info" %}
De uitvoeringstijd varieert (van 4 seconden tot 5 minuten), dit hangt af van het aantal afbeeldingen en het te verwerken veldoppervlak, en de Subscription wordt ontvangen na de succesvolle generatie van de "RasterMap".
{% endhint %}

{% hint style="danger" %}
We raden aan het gebruik van de **asynchrone** benadering om RastetMap te genereren
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<plaatsaanduiding_van_satellietbeeld_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    naam
    centroid {
      breedtegraad
      lengtegraad
    }
    boundingBox
    geoMaps {
      korteNaam
      volledigeNaam
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/8.-mutatie-rastermap-genereren.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
